Bug 442620 - JS22 Netboot fails with kver 2.6.22.14, 2.6.24.4, F9-ppc64
JS22 Netboot fails with kver 2.6.22.14, 2.6.24.4, F9-ppc64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
ppc64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 16:19 EDT by Joe Plunkett
Modified: 2009-07-14 11:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:44:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Plunkett 2008-04-15 16:19:57 EDT
Description of problem:

When using an IBM JS21 in a BC-H,  a netboot with a 2.6.22.14 kernel using a 
With firmware versions (MB245_300 MB240_470, MB246_060) the zImage.initrd loads
via ftp, In the unsuccessful attempts, the process simply ends after the
real-base" line.

Version-Release number of selected component (if applicable):
kver 2.6.22.14 and 2.6.24.4

How reproducible:
100%

Steps to Reproduce:
1. build a zimage file including one of the referenced kernels including a ram
disk of 24MB or larger attempt to netboot
  
Actual results:
BOOTP R = 1 BOOTP S = 2
FILE: zImage.initrd.js21
FINAL Packet Count = 20488
FINAL File Size = 10489847 bytes.
load-base=0x4000
real-base=0xc00000

BOOTP: chosen-network-type = ethernet,auto,none,auto
BOOTP: server   IP =        0.0.0.0
BOOTP: requested filename =
BOOTP: client   IP =        0.0.0.0
BOOTP: client   HW addr =   0 11 25 c9 1a dc
BOOTP: gateway  IP =        0.0.0.0
BOOTP: device    /pci@8000000f8000000/pci@2/ethernet@4
BOOTP: loc-code  U788D.001.KQ012EF-P1-T7


BOOTP R = 1 BOOTP S = 2
FILE: zImage.initrd.js21
FINAL Packet Count = 20488
FINAL File Size = 10489847 bytes.
load-base=0x4000
real-base=0xc00000

Base of Data Stack corrupted!!! Restored deadbeef.Call History
------------
exit  - c3a108
$=  - c49544
vpd-mm-nvram-equal?  - d11d74
sync-mm-oslist-vpd  - d12a2c
catch  - c38fe8
execute-device-method  - c585ec
(poplocals)  - c3a710
evaluate  - c4a4b8
invalid pointer - 0
invalid pointer - 0
invalid pointer


Expected results:
successful netboot.

Additional info:
seems to be related to the total size of the zImage file -- files of < 8MB seem
to work. also could be related to calculation of real-base
Comment 1 Bug Zapper 2008-05-14 11:26:30 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Doug Maxey 2008-05-14 20:44:57 EDT
Still falls over with F9-ppc64 gold on JS22.

0 > boot
/lhea@23c00100/ethernet@23e00100:10.1.1.97,f9-ppc,10.1.191.238,0.0.0.0,5,5,255.0.0.0
linux noipv6 









TFTP BOOT ---------------------------------------------------

Server IP.....................10.1.1.97



Client IP.....................10.1.191.238



Subnet Mask...................255.0.0.0

( 1  ) Filename.................f9-ppc

TFTP Retries..................5 

Block Size....................512 





FILE        : f9-ppc

BLKSIZE     : 512 

TFTP-RETRIES: 5 

FINAL FILE SIZE = 12566528  BYTES

CLAIM failed

Call History

------------

throw  - c3903c 

$call-method  - c467c8 

(poplocals)  - c3a758 

(init-program)  - c807e0 

boot  - c8151c 

evaluate  - c4a158 

invalid pointer - e9343d 

invalid pointer - 7 

invalid pointer - 7 

quit  - c4a83c 

quit  - c4a630 



My Fix Pt Regs:

 00 0000000000c47438 0000000000000000 00000000deadbeef 0000000000c467c4

 04 0000000000c3fe50 0000000000000007 0000000000c11f60 0000000000c03010

 08 0000000008000000 8000000080217660 0000000003000000 8000000080217680

 0c 0000000000009601 0000000000000000 0000000000c18000 0000000001cadea0

 10 0000000000f13179 0000000000f13068 0000000000c467c0 0000000000c467c8

 14 fffffffffffffffe 0000000001bfc6c0 0000000000000000 0000000000000000

 18 0000000000c13000 0000000000c38000 0000000000c14fc0 0000000000c16fc0

 1c 0000000000c20000 0000000000c3fe58 0000000000c11fa8 0000000000c10ff8

Special Regs:

    %IV: 00000900     %CR: 42808002    %XER: 20000020  %DSISR: 00000000 

  %SRR0: 0000000000c3bce4   %SRR1: 800000000000b002 

    %LR: 0000000000dc2614    %CTR: 0000000000dc2604 

   %DAR: 0000000000000000 

 ok

0 > dev /openprom  ok

0 > .properties 

name                    openprom

ibm,fw-vernum_encoded   45413332 305f3032 3700

model                   IBM,EA320_027

relative-addressing     

ibm,phandle             fffffffe 

ibm,fw-next-bank        5400



 ok

0 > 

Comment 3 Bug Zapper 2009-06-09 20:12:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:44:42 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.